<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xd:doc xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet">
        <xd:desc>
            <xd:p><xd:b>Created on:</xd:b> Dec 7, 2009</xd:p>
            <xd:p><xd:b>Author:</xd:b> dwebber</xd:p>
            <xd:p></xd:p>
        </xd:desc>
    </xd:doc>

       <xsl:output method="xml" indent="yes"/>
    
       <xsl:template match="/">
           <xsl:copy-of select="comment()"/>
           <xsl:copy-of select="descendant::comment()"/>
           <xsl:apply-templates/>
       </xsl:template>
    
       <xsl:template match="Property">
           <xsl:choose>
               <xsl:when test="string-length(@context) &gt; 32000">
                   <Property>
                       <xsl:for-each select="@*">
                           <xsl:choose>
                               <xsl:when test="name()='context'"><xsl:attribute name="{name()}"><xsl:value-of select="substring(.,1,32000)"/></xsl:attribute></xsl:when>
                               <xsl:otherwise><xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute></xsl:otherwise>
                           </xsl:choose>
                       </xsl:for-each>
                   </Property>
               </xsl:when>
               <xsl:otherwise><xsl:copy-of select="."/></xsl:otherwise>
           </xsl:choose>
           
       </xsl:template>
        
        <xsl:template match="* | @*">
            <xsl:copy>
                <xsl:apply-templates select="@* | *" />
            </xsl:copy>
        </xsl:template>
        
        <xsl:template match="comment()"/><!-- Ignore comments -->
        
</xsl:stylesheet>
